Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 5128)
@@ -9,25 +9,25 @@
         CALL interp_case_time_std(daytime,day1,annee_ref                                       &
 !    &       ,year_ini_cas,day_ju_ini_cas,nt_cas,pdt_cas,nlev_cas                           &
-     &       ,nt_cas,nlev_cas                                                               &
-     &       ,ts_cas,tskin_cas,ps_cas,plev_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,ql_cas,qi_cas      &
-     &       ,u_cas,v_cas,ug_cas,vg_cas                                                     &
-     &       ,temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas                               &
-     &       ,invtau_temp_nudg_cas,invtau_qv_nudg_cas,invtau_u_nudg_cas,invtau_v_nudg_cas    &
-     &       ,vitw_cas,omega_cas,tke_cas,du_cas,hu_cas,vu_cas                                       &
-     &       ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas                           &
-     &       ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,lat_cas,sens_cas,ustar_cas       &
-     &       ,uw_cas,vw_cas,q1_cas,q2_cas,tkes_cas                                           &
+             ,nt_cas,nlev_cas                                                               &
+             ,ts_cas,tskin_cas,ps_cas,plev_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,ql_cas,qi_cas      &
+             ,u_cas,v_cas,ug_cas,vg_cas                                                     &
+             ,temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas                               &
+             ,invtau_temp_nudg_cas,invtau_qv_nudg_cas,invtau_u_nudg_cas,invtau_v_nudg_cas    &
+             ,vitw_cas,omega_cas,tke_cas,du_cas,hu_cas,vu_cas                                       &
+             ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas                           &
+             ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,lat_cas,sens_cas,ustar_cas       &
+             ,uw_cas,vw_cas,q1_cas,q2_cas,tkes_cas                                           &
 
-     &       ,ts_prof_cas,tskin_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
-     &       ,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas                              &
-     &       ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                                 &
-     &       ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas           &
-     &       ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas  &     
-     &       ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                     &
-     &       ,du_prof_cas,hu_prof_cas,vu_prof_cas                                           &
-     &       ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas,ht_prof_cas,vt_prof_cas       &
-     &       ,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas                            &
-     &       ,dth_prof_cas,hth_prof_cas,vth_prof_cas,lat_prof_cas                           &
-     &       ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tkes_prof_cas)
+             ,ts_prof_cas,tskin_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
+             ,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas                              &
+             ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                                 &
+             ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas           &
+             ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas  &
+             ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                     &
+             ,du_prof_cas,hu_prof_cas,vu_prof_cas                                           &
+             ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas,ht_prof_cas,vt_prof_cas       &
+             ,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas                            &
+             ,dth_prof_cas,hth_prof_cas,vth_prof_cas,lat_prof_cas                           &
+             ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tkes_prof_cas)
 ! EV tg instead of ts_cur
              tg = ts_prof_cas
@@ -41,23 +41,23 @@
 ! vertical interpolation:
       CALL interp2_case_vertical_std(play,plev,nlev_cas,plev_prof_cas                                              &
-     &         ,t_prof_cas,theta_prof_cas,thv_prof_cas,thl_prof_cas                                       &
-     &         ,qv_prof_cas,ql_prof_cas,qi_prof_cas,u_prof_cas,v_prof_cas                                 &
-     &         ,ug_prof_cas,vg_prof_cas                                                                   &
-     &         ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas                       &
-     &         ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas &
+               ,t_prof_cas,theta_prof_cas,thv_prof_cas,thl_prof_cas                                       &
+               ,qv_prof_cas,ql_prof_cas,qi_prof_cas,u_prof_cas,v_prof_cas                                 &
+               ,ug_prof_cas,vg_prof_cas                                                                   &
+               ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas                       &
+               ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas &
 
-     &         ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                                 &
-     &         ,du_prof_cas,hu_prof_cas,vu_prof_cas,dv_prof_cas,hv_prof_cas,vv_prof_cas                   &
-     &         ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas    &
-     &         ,dth_prof_cas,hth_prof_cas,vth_prof_cas                                                    &
+               ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                                 &
+               ,du_prof_cas,hu_prof_cas,vu_prof_cas,dv_prof_cas,hv_prof_cas,vv_prof_cas                   &
+               ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas    &
+               ,dth_prof_cas,hth_prof_cas,vth_prof_cas                                                    &
 
-     &         ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas,qv_mod_cas,ql_mod_cas,qi_mod_cas          &
-     &         ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas                                                 &
-     &         ,temp_nudg_mod_cas,qv_nudg_mod_cas,u_nudg_mod_cas,v_nudg_mod_cas                           &
-     &         ,invtau_temp_nudg_mod_cas,invtau_qv_nudg_mod_cas,invtau_u_nudg_mod_cas,invtau_v_nudg_mod_cas   &     
-     &         ,w_mod_cas,omega_mod_cas,tke_mod_cas                                                       &
-     &         ,du_mod_cas,hu_mod_cas,vu_mod_cas,dv_mod_cas,hv_mod_cas,vv_mod_cas                         &
-     &         ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas           &
-     &         ,dth_mod_cas,hth_mod_cas,vth_mod_cas,mxcalc)
+               ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas,qv_mod_cas,ql_mod_cas,qi_mod_cas          &
+               ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas                                                 &
+               ,temp_nudg_mod_cas,qv_nudg_mod_cas,u_nudg_mod_cas,v_nudg_mod_cas                           &
+               ,invtau_temp_nudg_mod_cas,invtau_qv_nudg_mod_cas,invtau_u_nudg_mod_cas,invtau_v_nudg_mod_cas   &
+               ,w_mod_cas,omega_mod_cas,tke_mod_cas                                                       &
+               ,du_mod_cas,hu_mod_cas,vu_mod_cas,dv_mod_cas,hv_mod_cas,vv_mod_cas                         &
+               ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas           &
+               ,dth_mod_cas,hth_mod_cas,vth_mod_cas,mxcalc)
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 5128)
@@ -22,25 +22,25 @@
         CALL interp_case_time_std(daytime,day1,annee_ref                                       &
 !    &       ,year_ini_cas,day_ju_ini_cas,nt_cas,pdt_cas,nlev_cas                           &
-     &       ,nt_cas,nlev_cas                                                               &
-     &       ,ts_cas,tskin_cas,ps_cas,plev_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,ql_cas,qi_cas      &
-     &       ,u_cas,v_cas,ug_cas,vg_cas                                                     &
-     &       ,temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas                               &
-     &       ,invtau_temp_nudg_cas,invtau_qv_nudg_cas,invtau_u_nudg_cas,invtau_v_nudg_cas    &
-     &       ,vitw_cas,omega_cas,tke_cas,du_cas,hu_cas,vu_cas                               &
-     &       ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas                           &
-     &       ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,lat_cas,sens_cas,ustar_cas       &
-     &       ,uw_cas,vw_cas,q1_cas,q2_cas,tkes_cas                                           &
+             ,nt_cas,nlev_cas                                                               &
+             ,ts_cas,tskin_cas,ps_cas,plev_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,ql_cas,qi_cas      &
+             ,u_cas,v_cas,ug_cas,vg_cas                                                     &
+             ,temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas                               &
+             ,invtau_temp_nudg_cas,invtau_qv_nudg_cas,invtau_u_nudg_cas,invtau_v_nudg_cas    &
+             ,vitw_cas,omega_cas,tke_cas,du_cas,hu_cas,vu_cas                               &
+             ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas                           &
+             ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,lat_cas,sens_cas,ustar_cas       &
+             ,uw_cas,vw_cas,q1_cas,q2_cas,tkes_cas                                           &
 
-     &       ,ts_prof_cas,tskin_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
-     &       ,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas                              &
-     &       ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                                 &
-     &       ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas           &
-     &       ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas &
-     &       ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                    &
-     &       ,du_prof_cas,hu_prof_cas,vu_prof_cas                                           &
-     &       ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas,ht_prof_cas,vt_prof_cas       &
-     &       ,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas                            &
-     &       ,dth_prof_cas,hth_prof_cas,vth_prof_cas,lat_prof_cas                           &
-     &       ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tkes_prof_cas)
+             ,ts_prof_cas,tskin_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
+             ,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas                              &
+             ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                                 &
+             ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas           &
+             ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas &
+             ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                    &
+             ,du_prof_cas,hu_prof_cas,vu_prof_cas                                           &
+             ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas,ht_prof_cas,vt_prof_cas       &
+             ,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas                            &
+             ,dth_prof_cas,hth_prof_cas,vth_prof_cas,lat_prof_cas                           &
+             ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tkes_prof_cas)
 
       do l = 1, nlev_cas
@@ -51,22 +51,22 @@
 !      WRITE(*,*)'avant interp vert', t_prof
       CALL interp2_case_vertical_std(play,plev,nlev_cas,plev_prof_cas                                              &
-     &         ,t_prof_cas,theta_prof_cas,thv_prof_cas,thl_prof_cas                                          &
-     &         ,qv_prof_cas,ql_prof_cas,qi_prof_cas,u_prof_cas,v_prof_cas                                 &
-     &         ,ug_prof_cas,vg_prof_cas                                                                   &
-     &       ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas                         &
-     &       ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas       &
-     &         ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                                 &
-     &         ,du_prof_cas,hu_prof_cas,vu_prof_cas,dv_prof_cas,hv_prof_cas,vv_prof_cas                   &
-     &         ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas    &
-     &         ,dth_prof_cas,hth_prof_cas,vth_prof_cas                                                    &
+               ,t_prof_cas,theta_prof_cas,thv_prof_cas,thl_prof_cas                                          &
+               ,qv_prof_cas,ql_prof_cas,qi_prof_cas,u_prof_cas,v_prof_cas                                 &
+               ,ug_prof_cas,vg_prof_cas                                                                   &
+             ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas                         &
+             ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas       &
+               ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                                 &
+               ,du_prof_cas,hu_prof_cas,vu_prof_cas,dv_prof_cas,hv_prof_cas,vv_prof_cas                   &
+               ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas    &
+               ,dth_prof_cas,hth_prof_cas,vth_prof_cas                                                    &
 
-     &         ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas,qv_mod_cas,ql_mod_cas,qi_mod_cas          &
-     &         ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas                                                 &
-     &         ,temp_nudg_mod_cas,qv_nudg_mod_cas,u_nudg_mod_cas,v_nudg_mod_cas                           &
-     &         ,invtau_temp_nudg_mod_cas,invtau_qv_nudg_mod_cas,invtau_u_nudg_mod_cas,invtau_v_nudg_mod_cas        &
-     &         ,w_mod_cas,omega_mod_cas,tke_mod_cas                                                       &
-     &         ,du_mod_cas,hu_mod_cas,vu_mod_cas,dv_mod_cas,hv_mod_cas,vv_mod_cas                         &
-     &         ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas           &
-     &         ,dth_mod_cas,hth_mod_cas,vth_mod_cas,mxcalc)
+               ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas,qv_mod_cas,ql_mod_cas,qi_mod_cas          &
+               ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas                                                 &
+               ,temp_nudg_mod_cas,qv_nudg_mod_cas,u_nudg_mod_cas,v_nudg_mod_cas                           &
+               ,invtau_temp_nudg_mod_cas,invtau_qv_nudg_mod_cas,invtau_u_nudg_mod_cas,invtau_v_nudg_mod_cas        &
+               ,w_mod_cas,omega_mod_cas,tke_mod_cas                                                       &
+               ,du_mod_cas,hu_mod_cas,vu_mod_cas,dv_mod_cas,hv_mod_cas,vv_mod_cas                         &
+               ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas           &
+               ,dth_mod_cas,hth_mod_cas,vth_mod_cas,mxcalc)
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/compar1d.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/compar1d.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/compar1d.h	(revision 5128)
@@ -46,15 +46,15 @@
       real    :: p_nudging_u, p_nudging_v, p_nudging_w, p_nudging_t, p_nudging_qv
       common/com_par1d/                                                 &
-     & nat_surf,tsurf,beta_surf,rugos,rugosh,                           &
-     & xqsol,qsurf,psurf,zsurf,albedo,time,time_ini,xlat,xlon,airefi,   &
-     & wtsurf,wqsurf,restart_runoff,xagesno,qsolinp,zpicinp,            &
-     & forcing_type,tend_u,tend_v,tend_w,tend_t,tend_q,tend_rayo,       &
-     & nudge_u,nudge_v,nudge_w,nudge_t,nudge_q,                         &
-     & iflag_nudge,snowmass,                                            &
-     & restart,ok_old_disvert,                                          &
-     & tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh,   &
-     & trad, forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar,  &
-     & nudging_u, nudging_v, nudging_t, nudging_qv, nudging_w,          &
-     & p_nudging_u, p_nudging_v, p_nudging_t, p_nudging_qv, p_nudging_w
+       nat_surf,tsurf,beta_surf,rugos,rugosh,                           &
+       xqsol,qsurf,psurf,zsurf,albedo,time,time_ini,xlat,xlon,airefi,   &
+       wtsurf,wqsurf,restart_runoff,xagesno,qsolinp,zpicinp,            &
+       forcing_type,tend_u,tend_v,tend_w,tend_t,tend_q,tend_rayo,       &
+       nudge_u,nudge_v,nudge_w,nudge_t,nudge_q,                         &
+       iflag_nudge,snowmass,                                            &
+       restart,ok_old_disvert,                                          &
+       tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh,   &
+       trad, forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar,  &
+       nudging_u, nudging_v, nudging_t, nudging_qv, nudging_w,          &
+       p_nudging_u, p_nudging_v, p_nudging_t, p_nudging_qv, p_nudging_w
 
 !$OMP THREADPRIVATE(/com_par1d/)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5128)
@@ -1,5 +1,5 @@
 MODULE lmdz_1dutils
   IMPLICIT NONE; PRIVATE
-  PUBLIC fq_sat, conf_unicol, dyn1deta0, dyn1dredem, gr_fi_dyn, abort_gcm, gr_dyn_fi, &
+  PUBLIC fq_sat, conf_unicol, dyn1deta0, dyn1dredem, &
           disvert0, advect_vert, advect_va, lstendh, nudge_rht_init, nudge_uv_init, &
           nudge_rht, nudge_uv, interp2_case_vertical
@@ -981,114 +981,4 @@
 
 
-  SUBROUTINE gr_fi_dyn(nfield, ngrid, im, jm, pfi, pdyn)
-    USE lmdz_ssum_scopy, ONLY: scopy
-
-    IMPLICIT NONE
-    !=======================================================================
-    !   passage d'un champ de la grille scalaire a la grille physique
-    !=======================================================================
-
-    !-----------------------------------------------------------------------
-    !   declarations:
-    !   -------------
-
-    INTEGER im, jm, ngrid, nfield
-    REAL pdyn(im, jm, nfield)
-    REAL pfi(ngrid, nfield)
-
-    INTEGER i, j, ifield, ig
-
-    !-----------------------------------------------------------------------
-    !   calcul:
-    !   -------
-
-    DO ifield = 1, nfield
-      !   traitement des poles
-      DO i = 1, im
-        pdyn(i, 1, ifield) = pfi(1, ifield)
-        pdyn(i, jm, ifield) = pfi(ngrid, ifield)
-      ENDDO
-
-      !   traitement des point normaux
-      DO j = 2, jm - 1
-        ig = 2 + (j - 2) * (im - 1)
-        CALL SCOPY(im - 1, pfi(ig, ifield), 1, pdyn(1, j, ifield), 1)
-        pdyn(im, j, ifield) = pdyn(1, j, ifield)
-      ENDDO
-    ENDDO
-
-  END SUBROUTINE gr_fi_dyn
-
-
-  SUBROUTINE abort_gcm(modname, message, ierr)
-    USE IOIPSL
-
-    ! Stops the simulation cleanly, closing files and printing various
-    ! comments
-
-    !  Input: modname = name of calling program
-    !         message = stuff to print
-    !         ierr    = severity of situation ( = 0 normal )
-
-    CHARACTER(LEN = *) modname
-    INTEGER ierr
-    CHARACTER(LEN = *) message
-
-    WRITE(*, *) 'in abort_gcm'
-    CALL histclo
-    !     CALL histclo(2)
-    !     CALL histclo(3)
-    !     CALL histclo(4)
-    !     CALL histclo(5)
-    WRITE(*, *) 'out of histclo'
-    WRITE(*, *) 'Stopping in ', modname
-    WRITE(*, *) 'Reason = ', message
-    CALL getin_dump
-
-    IF (ierr == 0) THEN
-      WRITE(*, *) 'Everything is cool'
-    else
-      WRITE(*, *) 'Houston, we have a problem ', ierr
-    endif
-    STOP
-  END SUBROUTINE abort_gcm
-
-
-  SUBROUTINE gr_dyn_fi(nfield, im, jm, ngrid, pdyn, pfi)
-    IMPLICIT NONE
-    !=======================================================================
-    !   passage d'un champ de la grille scalaire a la grille physique
-    !=======================================================================
-
-    !-----------------------------------------------------------------------
-    !   declarations:
-    !   -------------
-
-    INTEGER im, jm, ngrid, nfield
-    REAL pdyn(im, jm, nfield)
-    REAL pfi(ngrid, nfield)
-
-    INTEGER j, ifield, ig
-
-    !-----------------------------------------------------------------------
-    !   calcul:
-    !   -------
-
-    IF(ngrid/=2 + (jm - 2) * (im - 1).AND.ngrid/=1)                          &
-            &    STOP 'probleme de dim'
-    !   traitement des poles
-    CALL SCOPY(nfield, pdyn, im * jm, pfi, ngrid)
-    CALL SCOPY(nfield, pdyn(1, jm, 1), im * jm, pfi(ngrid, 1), ngrid)
-
-    !   traitement des point normaux
-    DO ifield = 1, nfield
-      DO j = 2, jm - 1
-        ig = 2 + (j - 2) * (im - 1)
-        CALL SCOPY(im - 1, pdyn(1, j, ifield), 1, pfi(ig, ifield), 1)
-      ENDDO
-    ENDDO
-  END SUBROUTINE gr_dyn_fi
-
-
   SUBROUTINE disvert0(pa, preff, ap, bp, dpres, presnivs, nivsigs, nivsig)
 
@@ -1852,2 +1742,78 @@
 
 END MODULE lmdz_1dutils
+
+SUBROUTINE gr_fi_dyn(nfield, ngrid, im, jm, pfi, pdyn)
+  USE lmdz_ssum_scopy, ONLY: scopy
+
+  IMPLICIT NONE
+  !=======================================================================
+  !   passage d'un champ de la grille scalaire a la grille physique
+  !=======================================================================
+
+  !-----------------------------------------------------------------------
+  !   declarations:
+  !   -------------
+
+  INTEGER im, jm, ngrid, nfield
+  REAL pdyn(im, jm, nfield)
+  REAL pfi(ngrid, nfield)
+
+  INTEGER i, j, ifield, ig
+
+  !-----------------------------------------------------------------------
+  !   calcul:
+  !   -------
+
+  DO ifield = 1, nfield
+    !   traitement des poles
+    DO i = 1, im
+      pdyn(i, 1, ifield) = pfi(1, ifield)
+      pdyn(i, jm, ifield) = pfi(ngrid, ifield)
+    ENDDO
+
+    !   traitement des point normaux
+    DO j = 2, jm - 1
+      ig = 2 + (j - 2) * (im - 1)
+      CALL SCOPY(im - 1, pfi(ig, ifield), 1, pdyn(1, j, ifield), 1)
+      pdyn(im, j, ifield) = pdyn(1, j, ifield)
+    ENDDO
+  ENDDO
+
+END SUBROUTINE gr_fi_dyn
+
+SUBROUTINE gr_dyn_fi(nfield, im, jm, ngrid, pdyn, pfi)
+  USE lmdz_ssum_scopy, ONLY: scopy
+
+  IMPLICIT NONE
+  !=======================================================================
+  !   passage d'un champ de la grille scalaire a la grille physique
+  !=======================================================================
+
+  !-----------------------------------------------------------------------
+  !   declarations:
+  !   -------------
+
+  INTEGER im, jm, ngrid, nfield
+  REAL pdyn(im, jm, nfield)
+  REAL pfi(ngrid, nfield)
+
+  INTEGER j, ifield, ig
+
+  !-----------------------------------------------------------------------
+  !   calcul:
+  !   -------
+
+  IF(ngrid/=2 + (jm - 2) * (im - 1).AND.ngrid/=1)                          &
+          &    STOP 'probleme de dim'
+  !   traitement des poles
+  CALL SCOPY(nfield, pdyn, im * jm, pfi, ngrid)
+  CALL SCOPY(nfield, pdyn(1, jm, 1), im * jm, pfi(ngrid, 1), ngrid)
+
+  !   traitement des point normaux
+  DO ifield = 1, nfield
+    DO j = 2, jm - 1
+      ig = 2 + (j - 2) * (im - 1)
+      CALL SCOPY(im - 1, pdyn(1, j, ifield), 1, pfi(ig, ifield), 1)
+    ENDDO
+  ENDDO
+END SUBROUTINE gr_dyn_fi
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5128)
@@ -1,5 +1,5 @@
 MODULE lmdz_old_1dconv
-  IMPLICIT NONE; PRIVATE
-  PUBLIC get_uvd, copie
+   PRIVATE  ! -- We'd love to put IMPLICIT NONE;  here...
+  PUBLIC get_uvd, copie, get_uvd2, rdgrads, spaces
 CONTAINS
 
@@ -67,11 +67,11 @@
     INTEGER itap
     REAL dtime
-    REAL ht(100)
-    REAL hq(100)
-    REAL hu(100)
-    REAL hv(100)
-    REAL hw(100)
-    REAL hthturb(100)
-    REAL hqturb(100)
+    REAL ht(:)
+    REAL hq(:)
+    REAL hu(:)
+    REAL hv(:)
+    REAL hw(:)
+    REAL hthturb(:)
+    REAL hqturb(:)
     REAL Ts, Ts_subr
     LOGICAL imp_fcg
@@ -142,9 +142,6 @@
     ! variables destinees a la lecture du pas de temps du fichier de donnees
     !---------------------------------------------------------------------
-    character*80 aaa, atemps, spaces, apasmax
+    character*80 aaa, atemps, apasmax
     INTEGER nch, imn, ipa
-    !---------------------------------------------------------------------
-    !  procedures appelees
-    external rdgrads    !lire en iterant dans forcing.dat
     !---------------------------------------------------------------------
     PRINT*, 'le pas itap est:', itap
@@ -583,5 +580,5 @@
 
     character*4 a
-    character*80 aaa, anblvl, spaces
+    character*80 aaa, anblvl
     INTEGER nch
 
@@ -812,5 +809,5 @@
     ENDIF
   END
-  CHARACTER*(*) FUNCTION SPACES(STR, NSPACE)
+  CHARACTER*(80) FUNCTION SPACES(STR, NSPACE)
 
     ! CERN PROGLIB# M433    SPACES          .VERSION KERNFOR  4.14  860211
@@ -821,6 +818,6 @@
     !-    replaced by NSPACE blanks inside the string STR
 
-    CHARACTER*(*) STR
-    INTEGER nspace
+    CHARACTER*(80) STR
+    INTEGER nspace, IBLANK, ISPACE, INONBL, LENSPA
 
     LENSPA = LEN(SPACES)
@@ -854,5 +851,5 @@
 
     CHARACTER*(*) STR, SSTR
-    INTEGER I
+    INTEGER I, LENS, LENSS
 
     LENS = LEN(STR)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5128)
@@ -2,5 +2,8 @@
 
 MODULE lmdz_old_lmdz1d
-  IMPLICIT NONE; PRIVATE
+  USE lmdz_old_1dconv, ONLY: copie, get_uvd2, get_uvd, rdgrads, spaces
+  USE lmdz_1dutils, ONLY: interp2_case_vertical, nudge_uv, nudge_rht, lstendh, nudge_uv_init, &
+          nudge_rht_init, disvert0
+   PRIVATE  ! -- We'd love to put IMPLICIT NONE;  here...
   PUBLIC old_lmdz1d
 CONTAINS
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5128)
@@ -1,4 +1,4 @@
 MODULE lmdz_scm
-  ; PRIVATE
+  PRIVATE  ! -- We'd love to put IMPLICIT NONE;  here...
   PUBLIC scm
 CONTAINS
@@ -41,8 +41,8 @@
             itau_dyn, itau_phy, start_time, year_len
     USE phys_cal_mod, ONLY: year_len_phys_cal_mod => year_len
-    USE lmdz_1dutils, ONLY: fq_sat, conf_unicol, dyn1deta0, dyn1dredem
+    USE lmdz_1dutils, ONLY: fq_sat, conf_unicol, dyn1deta0, dyn1dredem, disvert0
+
     USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_OUTPUTPHYSSCM
-    END SUBROUTINE scm
-    
+
     INCLUDE "dimensions.h"
     INCLUDE "YOMCST.h"
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5128)
@@ -88,34 +88,4 @@
 
 !=======================================================================
-SUBROUTINE abort_gcm(modname, message, ierr)
-  USE IOIPSL
-  ! Stops the simulation cleanly, closing files and printing various
-  ! comments
-  !=======================================================================
-
-  !  Input: modname = name of calling program
-  !         message = stuff to print
-  !         ierr    = severity of situation ( = 0 normal )
-
-  CHARACTER(LEN = *) modname
-  INTEGER ierr
-  CHARACTER(LEN = *) message
-
-  WRITE(*, *) 'in abort_gcm'
-  CALL histclo
-  WRITE(*, *) 'out of histclo'
-  WRITE(*, *) 'Stopping in ', modname
-  WRITE(*, *) 'Reason = ', message
-  CALL getin_dump
-
-  IF (ierr == 0) THEN
-    WRITE(*, *) 'Everything is cool'
-  else
-    WRITE(*, *) 'Houston, we have a problem ', ierr
-  endif
-  STOP
-END
-
-!=======================================================================
 SUBROUTINE gr_dyn_fi(nfield, im, jm, ngrid, pdyn, pfi)
   USE lmdz_ssum_scopy, ONLY: scopy
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/fcg_gcssold.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/fcg_gcssold.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/fcg_gcssold.h	(revision 5128)
@@ -7,6 +7,6 @@
 
       common /fcg_gcssold/imp_fcg_gcssold,ts_fcg_gcssold,Tp_fcg_gcssold,        & 
-     & Tp_ini_gcssold,                                                          &
-     & xTurb_fcg_gcssold
+       Tp_ini_gcssold,                                                          &
+       xTurb_fcg_gcssold
 
 !$OMP THREADPRIVATE(/fcg_gcssold/)
